PHP Manual
Prev |  | Next

# pg_fetch_all

(PHP 4 >= 4.3.0, PHP 5)

pg_fetch_all -- Fetches all rows from a result as an array

## Description

array pg_fetch_all ( resource result )

pg_fetch_all() returns an array that contains all rows (records) in the result resource.

> Note: This function sets NULL fields to PHP `NULL` value.

## Parameters

result

  PostgreSQL query result resource, returned by pg_query(), pg_query_params() or pg_execute() (among others).

## Return Values

An array with all rows in the result. Each row is an array of field values indexed by field name.

`FALSE` is returned if there are no rows in the result, or on any other error.

## Examples

Example 1. PostgreSQL fetch all
`<?php $conn = pg_pconnect("dbname=publisher"); if (!$conn) { echo "An error occured.\n"; exit; } $result = pg_query($conn, "SELECT * FROM authors"); if (!$result) { echo "An error occured.\n"; exit; } $arr = pg_fetch_all($result); var_dump($arr); ?>`

## See Also

pg_fetch_row()
pg_fetch_array()
pg_fetch_object()
pg_fetch_result()

Prev | Home | Next
pg_fetch_all_columns | Up | pg_fetch_array